Summary: 	A Smart plugin for the Xfce panel
Name: 		xfce4-smartpm-plugin
Version: 	0.3.2
Release: 	%mkrel 2
License:	GPLv2+
Group: 		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-smartpm-plugin
Source0: 	http://goodies.xfce.org/releases/xfce4-smartpm-plugin/%{name}-%{version}.tar.bz2
Requires:	xfce4-panel >= 4.4.2
BuildRequires:	xfce4-panel-devel >= 4.4.2
BuildRequires:	libxfcegui4-devel >= 4.4.2
BuildRequires:	perl(XML::Parser)
BuildRequires:	intltool
BuildRequires:	libnotify-devel
BuildRequires:	ktsuss
Requires:	ktsuss
Requires:	smart-gui
Obsoletes:	xfce-smartpm-plugin
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
A Xfce panel plugin for Smart Package Manager.

%prep
%setup -q

%build
export GKSU="/usr/bin/ktsuss"
export GKSUDO="/usr/bin/ktsuss"
export SU="/bin/su"
export SUDO="/usr/bin/sudo"

%configure2_5x \
	--enable-libnotify
%make

%install
rm -rf %{buildroot}
%makeinstall_std 

%find_lang %{name}

%post
%update_icon_cache hicolor

%postun
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog AUTHORS README
%{_libdir}/xfce4/panel-plugins/*
%{_datadir}/xfce4/panel-plugins/xfce4-smart.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg


%changelog
* Sat Aug 09 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.2-2mdv2009.0
+ Revision: 269793
- rebuild early 2009.0 package (before pixel changes)

* Wed May 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-1mdv2009.0
+ Revision: 209634
- update to new version 0.3.2

* Sat Mar 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-2mdv2008.1
+ Revision: 182169
- use ktsuss for su/sudo actions

* Sat Feb 02 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-1mdv2008.1
+ Revision: 161514
- new version

* Thu Jan 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-1mdv2008.1
+ Revision: 147735
- new version
- enable notifications with use of libnotify

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.2-2mdv2008.1
+ Revision: 110138
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- do not package COPYING file
- add REAMDE file to the docs
- use upstream name

* Tue Oct 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.2-1mdv2008.1
+ Revision: 96288
- new version

* Sun Sep 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.1-1mdv2008.0
+ Revision: 93974
- new version

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-1mdv2008.0
+ Revision: 71216
- new version
- new name
- fix file list
- remove scriplets
- change name, closer to upstream

* Fri May 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.2-1mdv2008.0
+ Revision: 31183
- Import xfce-smart-plugin

